Skip to main content
GET
/
connected_accounts
/
{accountId}
/
manifest
/
capabilities
/
trading
/
pairs
TypeScript
const response: Promise<FireblocksResponse<ConnectedAccountTradingPairsResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccountTradingPairs(connectedAccountsBetaApiGetConnectedAccountTradingPairsRequest);
{
  "data": [
    {
      "id": "ea6c3cb7-355a-4ee3-82ff-267c69970210",
      "baseAssetId": "BTC",
      "quoteAssetId": "USD",
      "supportedTypes": [
        "MARKET"
      ]
    },
    {
      "id": "ea6c3cb7-355a-4ee3-82ff-267c69970211",
      "baseAssetId": "ETH",
      "quoteAssetId": "USDC",
      "supportedTypes": [
        "QUOTE",
        "MARKET"
      ]
    }
  ],
  "total": 2,
  "next": null
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

accountId
string
required

The ID of the account to fetch supported pairs for.

Minimum string length: 1

Query Parameters

pageSize
integer
default:100

Page size for pagination.

Required range: 1 <= x <= 100
pageCursor
string

Page cursor for pagination.

Response

Supported pairs response

data
object[]
required
Example:
[
  {
    "id": "ea6c3cb7-355a-4ee3-82ff-267c69970210",
    "baseAssetId": "BTC",
    "quoteAssetId": "USD",
    "supportedTypes": ["MARKET"]
  },
  {
    "id": "ea6c3cb7-355a-4ee3-82ff-267c69970211",
    "baseAssetId": "ETH",
    "quoteAssetId": "USDC",
    "supportedTypes": ["QUOTE", "MARKET"]
  }
]
total
integer

Total number of asset pairs matching the query.

Example:

2

next
string | null

A cursor for the next page of results, if available.

Example:

null